Subject: Re: [PATCH 1/4 v2] powerpc: document max-speed and interface-type properties

From: Segher Boessenkool <[email-masked]>
Date: Tue, 17 Apr 2007 01:18:56 +0200

> I don't need to know what type the PHY is, e.g. whether it's m88e11x1
> compatible or not, the phylib handles that.

You need to tell the phylib what kind of bus the PHY uses.
You can put "rgmii" or whatever in the "compatible" property
as well.

> If I were to put the properties in the PHY node, I wouldn't be able to
> describe a 1000Mbit/s capable UCC connected to a 100Mbit/s capable PHY,
> or vice versa.

Of course you can.  The "compatible" in the enet node
implies it can do 1000Mbps; the "compatible" in the
PHY node implies it does 100Mbps.

Segher